Routes

This is a preview version of the API intended for early testing and integration. Preview versions are not stable and may include breaking changes before general availability.

Get status and availability

GEThttps://api.insurely.com/companies/availability

Obtain a full list of companies available for your client, together with their current status, availability (functional or not) and available login methods.

Request

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01, 2025-01-01 or 2024-06-01.

Responses

Successful request.

Body

additionalLoginInputsArray<AdditionalLoginInput>

Additional input for login step.

availableCoverageScopesArray<InsuranceTypeAndSubtype>

Set of available coverage types and subtypes for this company

collectionMethodstring

The method used to collect data from this company. PSD2 indicates bank API collection, LEFI indicates registry-based collection, and STANDARD indicates the normal Insurely data collection flow.

Possible Enum values are PSD2, LEFI or STANDARD.
companystring

Name of the company.

companyAndLineOfBusinessesArray<string>

Available company and line of business for insurance pdf upload.

Possible Enum values are UK_AXA_HOME, UK_AXA_VEHICLE, UK_HASTINGS_DIRECT_HOME, UK_HASTINGS_DIRECT_VEHICLE, UK_POLICYEXPERT_HOME, UK_POLICYEXPERT_VEHICLE, UK_POST_OFFICE_HOME, UK_THE_AA_HOME, UK_THE_AA_VEHICLE or UK_URBAN_JUNGLE_HOME.
companyDisplayNamestring

Company display name, for displaying to users.

companyGroupstring

The name of the group that a company or integration belongs to

companyLinksobject

Company-specific links such as contact forms or other external resources

consentRequirementsArray<ConsentRequirement>

The set of consents required for initiating collections from this company.

functionalboolean

Whether or not it is possible to collect data from the company currently.

Configuration options for different login methods.

loginMethodsArray<string>

Available login methods for the company.

Possible Enum values are UK_DOB_USERNAME_PASSWORD, UK_LASTNAME_MEMBERSHIP_NUMBER, UK_USERNAME_POSTCODE or AUTHENTICATION_APP_URL.
nonFunctionalLoginMethodsArray<string>

Disabled login methods for the company.

Possible Enum values are UK_DOB_USERNAME_PASSWORD, UK_LASTNAME_MEMBERSHIP_NUMBER, UK_USERNAME_POSTCODE or AUTHENTICATION_APP_URL.
notificationsobject

Company-specific notifications configuration

reasonstring

Reason for data collection being non-functional at present.

Possible Enum values are THIRD_PARTY_ERROR, THIRD_PARTY_UPDATE, INSURELY_ERROR, INSURELY_UPDATE or RECONSTRUCTION.
resetCredentialsobject

Reset links to reset credentials for the company.

statusstring

Status indicating the quality of the data collection for this company. A company has status BETA until we can guarantee the data quality and stability of it, after which its status is set to OK. A company may also be reported with status DEGRADED_PERFORMANCE when it is experiencing intermittent issues, usually due to errors at the data source. When status is DEGRADED_PERFORMANCE collections can still be attempted but may fail or return incomplete data.

Possible Enum values are OK, BETA, NOT_IMPLEMENTED or DEGRADED_PERFORMANCE.
supportsPreheatingboolean

Whether the company supports starting a collection without user input. Requires input to be passed in at a later stage through the supplemental-info endpoint.

cURL
curl https://api.insurely.com/companies/availability \
  -H "authorization-token: <authorization-token>"